@import '../../../../../styles/variables.scss';

.gallery {
  &_imageBg {
    background-color: #f2f2f2;
  }

  &_simple,
  &_list {
    @include reset-list;

    & li {
      width: 100%;

      margin-bottom: 24px;

      &:last-child {
        margin-bottom: 0;
      }

      img {
        width: 100%;
      }
    }
  }

  &_list {
    margin-top: 24px;
  }

  &_bigImage {
    width: 100%;

    margin-bottom: 24px;

    & img {
      width: 100%;
    }
  }

  &_doubleImage {
    @include reset-list;

    & li {
      margin-bottom: 24px;

      & img {
        width: 100%;
      }
    }
  }
}

@media (min-width: $breakpoint-2) {
  .gallery {
    &_bigImage {
      margin-top: 24px;

      &:first-child {
        margin-top: 0;
      }
    }

    &_doubleImage {
      display: flex;

      align-items: center;
      justify-content: center;

      & li {
        overflow: hidden;

        margin-bottom: 0;

        &:nth-child(1) {
          margin-right: 12px;
        }

        &:nth-child(2) {
          margin-left: 12px;
        }

        & img {
          width: 100%;
        }
      }
    }
  }
}